Subject: bug#22485: M-x compile cuts off output if signal is received!

From: Óscar Fuentes <[email-masked]>
Date: Thu, 28 Jan 2016 22:18:38 +0100

Eli Zaretskii <[email-masked]> writes:

>> M-x compile make boom gives
>> 
>> ...
>> 1039
>> 1040
>> 10
>> Compilation exited abnormally with code 2 at Fri Jan 29 03:24:38
>> 
>> The output is cut off!
>
> I cannot reproduce this.

I cannot reproduce it with emacs -Q either, but the problem is visible
without -Q. I remember seeing something similar on very rare occassions.

To the OP: do you see the problem with `emacs -Q' ? If the answer is
negative, can you bisect your configuration file to find the setting
that causes this bug?

For the record, I'm using

GNU Emacs 25.0.50.29 (x86_64-unknown-linux-gnu, X toolkit) of 2016-01-21